#
# spec file for package pixmp (Version 2.6)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         pixmp
Release:      11
Copyright:    Copyright 1991,1992,1993,1994 - Lionel Mallet
Group: 
Provides:     pixmap pixmap2.6 pixmap26 
Requires: 
Conflicts:    mmextra
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.6
Summary:      Xpm pixel editor for X11
Source: pixmap2.6.tar.gz
Patch: pixmap.dif
%description
Pixmap is a programm which enables you to edit XPM-files (colour bitmaps).
You can use them with every common used iconmanager and even incorporate them
in your own desktop environment.

Authors:
--------
    Lionel Mallet <pixmap@sophia.inria.fr>
    Tim Wise <pixmap@sophia.inria.fr>

%prep
%setup -n pixmap
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/Pixmap
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/pixmap
/usr/X11R6/lib/X11/Pixmap/Down
/usr/X11R6/lib/X11/Pixmap/Excl
/usr/X11R6/lib/X11/Pixmap/FlipHoriz
/usr/X11R6/lib/X11/Pixmap/FlipVert
/usr/X11R6/lib/X11/Pixmap/Fold
/usr/X11R6/lib/X11/Pixmap/Left
/usr/X11R6/lib/X11/Pixmap/Right
/usr/X11R6/lib/X11/Pixmap/RotateLeft
/usr/X11R6/lib/X11/Pixmap/RotateRight
/usr/X11R6/lib/X11/Pixmap/Stipple
/usr/X11R6/lib/X11/Pixmap/Term
/usr/X11R6/lib/X11/Pixmap/Up
%config /usr/X11R6/lib/X11/app-defaults/Pixmap
/usr/X11R6/lib/libXgnu.a
%doc /usr/X11R6/man/man1/pixmap.1x.gz

